<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [ReactNode](./bitburner.reactnode.md)

## ReactNode type

A stand-in for the real React.ReactNode. A [ReactElement](./bitburner.reactelement.md) is rendered dynamically with React. number and string are displayed directly. boolean, null, and undefined are ignored and not rendered. An array of ReactNodes will display all members of that array sequentially.

Use React.createElement to make the ReactElement type, see [creating an element without jsx](https://react.dev/reference/react/createElement#creating-an-element-without-jsx) from the official React documentation.

**Signature:**

```typescript
type ReactNode = ReactElement | string | number | null | undefined | boolean | ReactNode[];
```
**References:** [ReactElement](./bitburner.reactelement.md)<!-- -->, [ReactNode](./bitburner.reactnode.md)

